use "`dir'MatchedSample.dta"

*Table 1*
merge 1:1 uniqueid using "`dir'1910 IPUMS base sample for table one.dta"
gen flag=1 if _merge==1
replace flag=2 if flag==.
drop _merge

/*Table 1, Column 1*/
preserve
keep if flag==1
tab state_1910

sum school_1910_coded if age_1910_coded<=20
sum own_1910_coded
sum lit_1910_coded if age_1910_coded>=10 & age_1910_coded<=20
sum lit_1910_coded if age_1910_coded>=10

sum FATHERFARMER if age_1910_coded<=20 /*farmer, not farm laborer*/

tab CITY0	   
sum CITYSMALL /*defined as >0 & < 25,000*/
sum CITYBIG   /*defined as >=25,000*/

sum FARMER_1910 FARMLABOR_1910 OPER_1910 NFLABOR_1910 empstatd_1910_coded classwkr_coded_1910 if age_1910_coded>20

sum age_1910_coded, detail
restore

/*Table 1, Column 2*/
preserve
keep if flag==2
tab state_1910

sum school_1910_coded if age_1910_coded<=20
sum own_1910_coded
sum lit_1910_coded if age_1910_coded>=10 & age_1910_coded<=20
sum lit_1910_coded if age_1910_coded>=10

sum FATHERFARMER if age_1910_coded<=20 /*farmer, not farm laborer*/

tab citypop_1910	   /*defined as >0*/
sum CITYSMALL /*defined as >0 & < 25,000*/
sum CITYBIG   /*defined as >=25,000*/

sum FARMER_1910 FARMLABOR_1910 OPER_1910 NFLABOR_1910 empstatd_1910_coded classwkr_coded_1910 if age_1910_coded>20

sum age_1910_coded, detail

restore

/*Table 1, Column 3*/
tab state_1910,gen(state)
rename state1 Alabama
rename state2 Arkansas
rename state3 Florida
rename state4 Georgia
rename state5 Kentucky
rename state6 Louisiana
rename state7 Mississippi
rename state8 NorthCarolina
rename state9 Oklahoma
rename state10 SouthCarolina
rename state11 Tennessee
rename state12 Texas
rename state13 Virginia
rename state14 WestVirginia

ttest Alabama,by (flag)
ttest Arkansas,by (flag)
ttest Florida,by (flag)
ttest Georgia,by (flag)
ttest Kentucky,by (flag)
ttest Louisiana,by (flag)
ttest Mississippi,by (flag)
ttest NorthCarolina,by (flag)
ttest Oklahoma,by (flag)
ttest SouthCarolina,by (flag)
ttest Tennessee,by (flag)
ttest Texas,by (flag)
ttest Virginia,by (flag)
ttest WestVirginia,by (flag)

ttest school_1910_coded if age_1910_coded<=20,by (flag)
ttest own_1910_coded,by (flag)
ttest lit_1910_coded if age_1910_coded>=10 & age_1910_coded<=20,by (flag)
ttest lit_1910_coded if age_1910_coded>=10,by (flag)
ttest FATHERFARMER if age_1910_coded<=20,by (flag)
replace CITY0_1910=CITY0 if flag==1
ttest CITY0_1910,by(flag)
ttest CITYSMALL,by (flag)
ttest CITYBIG,by (flag)
ttest FARMER_1910  if age_1910_coded>20, by (flag)
ttest FARMLABOR_1910  if age_1910_coded>20, by (flag)
ttest OPER_1910  if age_1910_coded>20, by (flag)
ttest NFLABOR_1910 if age_1910_coded>20, by (flag)
ttest empstatd_1910_coded if age_1910_coded>20, by (flag)
ttest classwkr_coded_1910 if age_1910_coded>20, by (flag)
ttest age_1910_coded, by (flag)

drop if flag==2
drop flag


*Table 2*
preserve
keep if REGIONALMIG==1
replace urban_1930=1 if urban_1930==.
append using "`dir'1930 IPUMS Comparison for table two.dta", keep(state_1930 age_1930 OWN_1930 LIT_1930 VET_1930 urban_1930 FARMER_1930 EMPLOYST_1930 occstatus1930) generate(flag)

/*Column 1*/
tab state_1930 if flag==0
sum age_1930 OWN_1930 LIT_1930 VET_1930 urban_1930 if flag==0
sum FARMER_1930 EMPLOYST_1930 if flag==0
tab occstatus1930 if flag==0


/*Column 2*/
tab state_1930 if flag==1
sum age_1930 OWN_1930 LIT_1930 VET_1930 urban_1930 if flag==1
sum FARMER_1930 EMPLOYST_1930 if flag==1 
tab occstatus1930 if flag==1

/*Column 3*/
tab state_1930,gen(state)
ttest state1,by(flag)
ttest state2,by(flag)
ttest state4,by(flag)
ttest state5,by(flag)
ttest state6,by(flag)
ttest state7,by(flag)
ttest state8,by(flag)
ttest state9,by(flag)
ttest state10,by(flag)
ttest state11,by(flag)
ttest state12,by(flag)
ttest state13,by(flag)
ttest state14,by(flag)
ttest state15,by(flag)
ttest state16,by(flag)
ttest state17,by(flag)
ttest state19,by(flag)
ttest state22,by(flag)
ttest state23,by(flag)
ttest state24,by(flag)
ttest state25,by(flag)
ttest state27,by(flag)
ttest state29,by(flag)
ttest state30,by(flag)
ttest state32,by(flag)
ttest state33,by(flag)

ttest age_1930,by (flag)
ttest OWN_1930,by (flag)
ttest LIT_1930,by (flag)
ttest VET_1930,by (flag)
ttest urban_1930,by (flag)
ttest FARMER_1930,by (flag)
ttest EMPLOYST_1930,by (flag)

tab occstatus1930,gen(occ1930)
ttest occ19301,by (flag)
ttest occ19302,by (flag)
ttest occ19303,by (flag)
ttest occ19304,by (flag)

restore

*Table 3*
/*personal characteristics in 1910*/

sum school_1910_coded if age_1910_coded>=5 & age_1910_coded<=20 & REGIONALMIG==0
sum lit_1910_coded if age_1910_coded>=10 & age_1910_coded<=40 & REGIONALMIG==0
sum own_1910_coded age_1910_coded CITY0 CITY025 CITY25up latitude_1910 longitude_1910 MIN_DIST if REGIONALMIG==0

sum school_1910_coded if age_1910_coded>=5 & age_1910_coded<=20 & REGIONALMIG==1
sum lit_1910_coded if age_1910_coded>=10 & age_1910_coded<=40 & REGIONALMIG==1
sum own_1910_coded age_1910_coded CITY0 CITY025 CITY25up latitude_1910 longitude_1910 MIN_DIST if REGIONALMIG==1

ttest school_1910_coded if age_1910_coded>=5 & age_1910_coded<=20,by(REGIONALMIG)
ttest lit_1910_coded if age_1910_coded>=10 & age_1910_coded<=40,by(REGIONALMIG)
ttest own_1910_coded,by(REGIONALMIG)
ttest age_1910_coded,by(REGIONALMIG)
ttest CITY0,by(REGIONALMIG)
ttest CITY025,by(REGIONALMIG)
ttest CITY25up,by(REGIONALMIG)
ttest latitude_1910,by(REGIONALMIG)
ttest longitude_1910,by(REGIONALMIG)
ttest MIN_DIST,by(REGIONALMIG)

/*job characteristics in 1910*/ 

sum FARMER_1910 FARMLABOR_1910 OPER_1910 NFLABOR_1910 empstatd_1910_coded classwkr_coded_1910 if age_1910_coded>20 & REGIONALMIG==0
sum FARMER_1910 FARMLABOR_1910 OPER_1910 NFLABOR_1910 empstatd_1910_coded classwkr_coded_1910 if age_1910_coded>20 & REGIONALMIG==1

ttest FARMER_1910 if age_1910_coded>20,by(REGIONALMIG) 
ttest FARMLABOR_1910 if age_1910_coded>20,by(REGIONALMIG) 
ttest OPER_1910 if age_1910_coded>20,by(REGIONALMIG) 
ttest NFLABOR_1910 if age_1910_coded>20,by(REGIONALMIG) 
ttest empstatd_1910_coded if age_1910_coded>20,by(REGIONALMIG) 
ttest classwkr_coded_1910 if age_1910_coded>20,by(REGIONALMIG)

/*household characteristics*/

sum PARENTPRESENT_1910 FATHERFARMER_1910 FATHERFARMLABOR_1910 NCHILD_MOM_1910 BIRTHORDER_1910 if age_1910_coded<=20 & REGIONALMIG==0
sum PARENTPRESENT_1910 FATHERFARMER_1910 FATHERFARMLABOR_1910 NCHILD_MOM_1910 BIRTHORDER_1910 if age_1910_coded<=20 & REGIONALMIG==1

sum PARENTLIT_1910 if PARENTPRESENT_1910==1 & PARENTLIT_1910~=2 & age_1910_coded<=20 & REGIONALMIG==0
sum PARENTLIT_1910 if PARENTPRESENT_1910==1 & PARENTLIT_1910~=2 & age_1910_coded<=20 & REGIONALMIG==1

ttest PARENTPRESENT_1910 if age_1910_coded<=20,by(REGIONALMIG)
ttest PARENTLIT_1910 if PARENTPRESENT_1910==1 & PARENTLIT_1910~=2 & age_1910_coded<=20,by(REGIONALMIG)
ttest FATHERFARMER_1910 if age_1910_coded<=20,by(REGIONALMIG) 
ttest FATHERFARMLABOR_1910  if age_1910_coded<=20,by(REGIONALMIG)
ttest NCHILD_MOM_1910 if age_1910_coded<=20,by(REGIONALMIG)
ttest BIRTHORDER_1910 if age_1910_coded<=20,by(REGIONALMIG) 

/*local characteristics*/

sum pBLK_1910 pBLKFARM_1910 pNWTENANT_1910 pWHTTENANT_1910 pCOTACRE_1910 pCOTVAL_1910 BLKLIT_1910 WHTLIT_1910 BLKSCHOOL_1910 WHTSCHOOL_1910 if REGIONALMIG==0
sum pBLK_1910 pBLKFARM_1910 pNWTENANT_1910 pWHTTENANT_1910 pCOTACRE_1910 pCOTVAL_1910 BLKLIT_1910 WHTLIT_1910 BLKSCHOOL_1910 WHTSCHOOL_1910 if REGIONALMIG==1

ttest pBLK_1910,by(REGIONALMIG)  
ttest pBLKFARM_1910,by(REGIONALMIG)  
ttest pNWTENANT_1910,by(REGIONALMIG)  
ttest pWHTTENANT_1910,by(REGIONALMIG)  
ttest pCOTACRE_1910,by(REGIONALMIG)  
ttest pCOTVAL_1910,by(REGIONALMIG)  
ttest BLKLIT_1910,by(REGIONALMIG)  
ttest WHTLIT_1910,by(REGIONALMIG)  
ttest BLKSCHOOL_1910,by(REGIONALMIG)  
ttest WHTSCHOOL_1910,by(REGIONALMIG)  


*Table 4*
preserve
xi:regress lnadjINDinc28_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE i.age_1910_coded if age_1910_coded>=18, cluster(serial)
gen IN3 = 1 if e(sample) & lnsbocc60avg_10~=.

/*Col 1*/
regress lnadjINDinc28_10 REGIONALMIG _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealIND28_10_X REGIONALMIG _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60avg_10 REGIONALMIG _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealsbocc60_10_X REGIONALMIG _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)


/*Col 2*/

regress lnadjINDinc28_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealIND28_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60avg_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)
regress lnrealsbocc60_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), cluster(serial)

/*Col 3 */
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
areg lnrealIND28_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)

areg lnsbocc60avg_10 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)
areg lnrealsbocc60_10_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN3==1 & age_1910_coded >= 18), a(statecounty) cluster(serial)

restore

/*Table 5*/
/*job characteristics*/
tab occstatus1930 if REGIONALMIG==0
sum FARMER_1930 FARMLABOR_1930 OPER_1930 NFLABOR_1930 EMPLOYST_1930 CLASS_WKR_1930 if REGIONALMIG==0
sum FARMER_1930 FARMLABOR_1930 OPER_1930 NFLABOR_1930 EMPLOYST_1930 CLASS_WKR_1930 if REGIONALMIG==1

tab CLASS_WKR_1930 if REGIONALMIG==0
tab CLASS_WKR_1930 if REGIONALMIG==1

/*personal characteristics*/
sum  OWN_1930 age_1930 MARST_1930 latitude_1930 longitude_1930 VETRECODE if REGIONALMIG==0
sum  OWN_1930 age_1930 MARST_1930 latitude_1930 longitude_1930 VETRECODE if REGIONALMIG==1


/*Table 6*/
tab ownoccstatus1910 occstatus1930, cell
tab ownoccstatus1910 occstatus1930 if REGIONALMIG==0, cell
tab ownoccstatus1910 occstatus1930 if REGIONALMIG==1, cell


/*Table 7*/

preserve   
xi: reg  lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 i.age_1910_coded, cluster(serial)
gen IN=1 if e(sample) & lnsbocc60avg_30~=.
  
/*Column 1*/
regress lnadjINDinc28_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG  if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG  if (IN == 1 ), cluster(serial)

/*Column 2*/
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)
regress lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 ), cluster(serial)

/*Column 3*/
/*define unique counties in 1910*/
destring (county_code_1910), replace
tostring(county_code_1910), replace
generate statecounty=state_1910+county_code_1910

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 ), a(statecounty) cluster(serial)

/*Column 4a*/

areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(statecounty) cluster(serial)


/*Column 4b*/
areg lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE  HEAD_1910 OWN_1910 HEADxOWN_1910  _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

areg lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)
areg lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE HEAD_1910 OWN_1910 HEADxOWN_1910 _I* if (IN == 1 & BROTHERS_1910 > 1 & relation_hh_1910_coded==3 ), a(serial) cluster(serial)

/* First-Difference Column */
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (IN == 1 & age_1910_coded >= 18), cluster(serial)
gen DIFFIN=1 if e(sample) & lnsbocc60_diff~=.

/*Column 5a*/
regress lnadjINDinc28_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealIND_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

regress lnsbocc60avg_30 REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial) /*level regression with same sample*/
regress lnrealsbocc60_30_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if DIFFIN==1, cluster(serial)

/*Column 5b*/
regress lnIND28_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnIND_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

regress lnsbocc60_diff REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)
regress lnsbocc_diff_X REGIONALMIG VETRECODE VETNOCODE CITYSMALL_1910 CITYBIG_1910 HEAD_1910 OWN_1910 HEADxOWN_1910 LNSTATE_1910 pBLK_1910 BLKLIT_1910 BLKSCHOOL_1910 pCOTACRE_1910 _I* if (DIFFIN == 1 & age_1910_coded >= 18), cluster(serial)

restore

